NedFrame (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class NedFrame

    java.lang.Object
      com.bbn.openmap.proj.coords.NedFrame

    public class NedFrame

extends java.lang.Object

Encapsulates the NED (North-East-Down) coordinate system. This is also know as local tangent plane (LTP).

Author: Robert Hayes

Field Summary
`protected float` | `x` The x component of the coordinate (NORTH).
`protected float` | `y` The y component of the coordinate (EAST).
`protected float` | `z` The z component of the coordinate (DOWN).

Constructor Summary
`NedFrame()` Construct a default NedFrame.
`NedFrame(double[] ecefVector, LatLonPoint llpt)` Construct a NedFrame from a ECEF vector and a LatLonPoint.
`NedFrame(float x, float y, float z, double lat, double lon)` Construct a NedFrame from ECEF vector and latitude and longitude.
`NedFrame(NedFrame nedpt)` Copy construct a NedFrame.

Method Summary
`void` | `ecef2ned(double[] ned, double latitude, double longitude, double[] ecef)` Internal conversion routine.
`float` | `getX()` Get x.
`float` | `getY()` Get Y.
`float` | `getZ()` Get Z.
`void` | `ned2ecef(double[] ned, double latitude, double longitude, double[] ecef)` Internal conversion routine.
`void` | `setX(float pX)` Set x.
`void` | `setXYZ(float v1, float v2, float v3)` Set x,y,z.
`void` | `setY(float pY)` Set y.
`void` | `setZ(float pZ)` Set z.
`double[]` | `toGeocentricFrame(LatLonPoint llpt)` Convert to a geocentric frame using a LatLonPoint.
`double` | `toHeading()` Get heading.
`double` | `toSpeed()` Get speed.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    protected float x

  The x component of the coordinate (NORTH).

### y

    protected float y

  The y component of the coordinate (EAST).

### z

    protected float z

  The z component of the coordinate (DOWN).

Constructor Detail

### NedFrame

    public NedFrame()

  Construct a default NedFrame. x,y,z are all set to zero.

### NedFrame

    public NedFrame(float x,
                    float y,
                    float z,
                    double lat,
                    double lon)

  Construct a NedFrame from ECEF vector and latitude and longitude.

  Parameters:
    `x` - ecef x.
    `y` - ecef y.
    `z` - ecef z.
    `lat` - = latitude in degrees.
    `lon` - = longitude in degrees.

### NedFrame

    public NedFrame(double[] ecefVector,
                    LatLonPoint llpt)

  Construct a NedFrame from a ECEF vector and a LatLonPoint.

  Parameters:
    `ecefVector` -

### NedFrame

    public NedFrame(NedFrame nedpt)

  Copy construct a NedFrame.

  Parameters:
    `nedpt` - NedFrame

Method Detail

### toGeocentricFrame

    public double[] toGeocentricFrame(LatLonPoint llpt)

  Convert to a geocentric frame using a LatLonPoint.

  Parameters:
    `llpt` -
  Returns:
    a vector of ecef values

### ecef2ned

    public void ecef2ned(double[] ned,
                         double latitude,
                         double longitude,
                         double[] ecef)

  Internal conversion routine.

  Parameters:
    `ned` - vector
    `latitude` - in radians.
    `longitude` - in radians
    `ecef` - vector

### ned2ecef

    public void ned2ecef(double[] ned,
                         double latitude,
                         double longitude,
                         double[] ecef)

  Internal conversion routine.

  Parameters:
    `ned` - vector
    `latitude` - in radians.
    `longitude` - in radians
    `ecef` - vector

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of NED vector.

### setX

    public void setX(float pX)

  Set x.

  Parameters:
    `pX` - in meters.

### setY

    public void setY(float pY)

  Set y.

  Parameters:
    `pY` - in meters.

### setZ

    public void setZ(float pZ)

  Set z.

  Parameters:
    `pZ` - in meters.

### setXYZ

    public void setXYZ(float v1,
                       float v2,
                       float v3)

  Set x,y,z.

  Parameters:
    `v1` - North.
    `v2` - East.
    `v3` - Down.

### getX

    public float getX()

  Get x.

  Returns:
    float x.

### getY

    public float getY()

  Get Y.

  Returns:
    float y.

### getZ

    public float getZ()

  Get Z.

  Returns:
    float z.

### toSpeed

    public double toSpeed()

  Get speed.

  Returns:
    double speed.

### toHeading

    public double toHeading()

  Get heading.

  Returns:
    double heading in degrees.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details